%define real_version 1.7.0

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	JavaScript interpreter and libraries
Name: 		js
Version: 	1.70
Release: 	1
License: 	GPLv2+
Group: 		Development/Languages
URL: 		http://www.mozilla.org/js/
Source: 	http://ftp.mozilla.org/pub/mozilla.org/js/js-%{real_version}.tar.gz
Patch0: 	js-1.7.0-make.patch
Patch1: 	js-shlib.patch
Patch2: 	js-1.5-va_copy.patch
Patch3: 	js-ldflags.patch
Patch4: 	js-1.7.0-threadsafe.patch
Patch5: 	js-1.60-ncurses.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
Buildrequires: nspr-devel
Buildrequires: readline-devel, ncurses-devel
Provides: 	libjs = %{version}-%{release}

%description
JavaScript is the Netscape-developed object scripting languages.
This package has been created for purposes of Sablotron and is suitable
for embedding in applications.


%package devel
Summary: 	Header files, libraries and development documentation for %{name}
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires:	pkgconfig
Provides: 	libjs-devel = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .make
%patch1 -p0 -b .shlib
%patch2 -p1 -b .vacopy
%patch3 -p0 -b .ldflags
%patch4 -p1 -b .threadsafe
%patch5 -p1 -b .ncurses

# Create pkgconfig file
%{__cat} > libjs.pc << 'EOF'
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: libjs
Description: JS library
Requires:
Version: %{real_version}
Libs: -L${libdir} -ljs
Cflags: -I${includedir}
EOF


%build
export BUILD_OPT=1
%{__make} %{?_smp_mflags} -C src -f Makefile.ref \
    JS_THREADSAFE="1" \
    XCFLAGS="%{optflags} -fPIC" \
    BUILD_OPT="1" \
%if 0%{!?_without_readline:1}
    JS_READLINE="1"
%endif


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir} \
             %{buildroot}%{_libdir}/pkgconfig \
             %{buildroot}%{_includedir}
%{__install} -m 0755 src/Linux_All_OPT.OBJ/{js,jscpucfg} \
    %{buildroot}%{_bindir}/
%{__install} -m 0644 src/Linux_All_OPT.OBJ/libjs.a \
    %{buildroot}%{_libdir}/
%{__install} -m 0755 src/Linux_All_OPT.OBJ/libjs.so \
    %{buildroot}%{_libdir}/
%{__mv} %{buildroot}%{_libdir}/libjs.so %{buildroot}%{_libdir}/libjs.so.1
%{__ln_s} -nf libjs.so.1 %{buildroot}%{_libdir}/libjs.so
%{__install} -m 0644 src/js*.h src/js.msg src/jsopcode.tbl \
    src/Linux_All_OPT.OBJ/jsautocfg.h \
    %{buildroot}%{_includedir}/
%{__install} -m 0644 libjs.pc \
    %{buildroot}%{_libdir}/pkgconfig/


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc src/README.html
%{_bindir}/js
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/jscpucfg
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/js*.h
%{_includedir}/jsopcode.tbl
%{_includedir}/js.msg


%changelog
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 1.70-1
- Initial release